{% extends "base.html" %}
{% load staticfiles %}

{% block title %}
    发布问题
{% endblock title %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-12">
            <br>
            <!-- 提交文章的表单 -->
            <form method="post" enctype="multipart/form-data" action=".">
                <!-- Django中需要POST数据的地方都必须有csrf_token -->
                {% csrf_token %}
                <!-- 文章标题 -->
                <div class="form-group">
                    <!-- 标签 -->
                    <label for="title">问题标题</label>
                    <!-- 文本框 -->
                    <input type="text" class="form-control" id="title" name="title" required/>
                </div>
                <!-- 文章正文 -->
                <div class="form-group">
                    <label for="description">问题描述</label>
                    <!-- 文本区域 -->
                    <textarea type="text" class="form-control" id="description" name="description" rows="12" required></textarea>
                </div>
                <!-- 添加标签：记得检查标签是否存在 -->
                <!--<div class="form-group">
                    <label for="forum">标签信息</label>
                    <input type="text" class="form-control" id="forum" name="forum">
                </div>-->
                    <!-- 问题板块 -->
                 <div class="form-group">
                    <label for="column">板块</label>
                     <!-- 文章id和name需要修改！！！ -->
                    <select class="form-control col-3" id="column" name="column" required>
                            <option value="">{请选择板块}..</option>
                            <option value=1>生活</option>
                            <option value=2>学习</option>
                            <option value=3>交友</option>
                        <!-- 如果板块数目动态获取使用下面的内容 -->    
                        <!--  {% for column in columns %}
                            <option value="{{ column.id }}">{{ column }}</option>
                        {% endfor %}-->
                    </select>
                </div>
                <!-- 上传文件 -->
                <div class="form-group">
                    <div class="col-3">
                        <label for="file">上传文件</label> <!--这里是file不是files-->
                        <input type="file" class="form-control-file" name="file" id="file">
                    </div>
                </div>
                <!-- 提交按钮 -->
                <button type="submit" class="btn btn-primary">提交问题</button>
            </form>
        </div>
    </div>
</div>

{% if messages %}
<!--弹框形式-->
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
<!--左下角弹框形式-->
<!--<ul class="messages">-->
<!--    {% for message in messages %}-->
<!--    <li {% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ message }}</li>-->
<!--    {% endfor %}-->
<!--</ul>-->
{% endif %}
{% endblock content %}
